Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.exception
Class ResourceManager

`java.lang.Object
oracle.rules.sdk.exception.ResourceManager`

public class ResourceManager
extends java.lang.Object

Method Summary
`static ResourceManager` | `getInstance()`
`java.lang.String` | `getPropertyValue(java.lang.String code, java.util.Locale locale)`
`java.lang.String` | `getPropertyValue(java.lang.String code, java.util.Locale locale, java.lang.Object exception)`
`java.util.ResourceBundle` | `getResource(java.lang.String fileLocation, java.util.Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ResourceManager getInstance()

### getPropertyValue

    public java.lang.String getPropertyValue(java.lang.String code,
                                             java.util.Locale locale,
                                             java.lang.Object exception)

  Parameters:
    `code` - the error code defined in Messages.java
    `locale` - the local to find right resource bundle
    `exception` - used to find package name, then identify the resource file name e.g. oralce.rules.sdk.exception.DataModelException indicates the message file is oralce.rules.sdk.exception.Messages_locale.java. By doing this users can have exceptions in their own packages, however, have to provide their own Messages.java
  Returns:
    the property value

### getPropertyValue

    public java.lang.String getPropertyValue(java.lang.String code,
                                             java.util.Locale locale)

### getResource

    public java.util.ResourceBundle getResource(java.lang.String fileLocation,
                                                java.util.Locale locale)
                                         throws java.util.MissingResourceException

  Throws:
    `java.util.MissingResourceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.